%define         anolis_release 2

%global         project_name rabbitmq-c

Name:           librabbitmq
Version:        0.13.0
Release:        %{anolis_release}%{?dist}
Summary:        a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

License:        MIT
URL:            http://github.com/alanxz/rabbitmq-c/
Source0:        https://github.com/alanxz/rabbitmq-c/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake > 2.8
BuildRequires:  openssl-devel
BuildRequires:  popt-devel > 1.14
BuildRequires:  make
BuildRequires:  xmlto

%description
This is a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{project_name}-%{version} -p1

sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
%cmake \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DINSTALL_STATIC_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE
%{_libdir}/%{name}.so.*
%dir %{abidir}
%{abidir}/%{name}.dump

%files devel
%{_libdir}/%{name}.so
%{_includedir}/*.h
%dir %{_includedir}/rabbitmq-c
%{_includedir}/rabbitmq-c/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/*

%files doc
%doc AUTHORS THANKS *.md

%changelog
* Thu Jun 15 2023 Funda Wang <fundawang@yeah.net> - 0.13.0-2
- Cleanup spec

* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 0.13.0-1
- package init from upstream
